summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2012-07-27 17:38:47 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-07-29 23:34:28 -0500
commit466d3d7b6c66b11109753a57d0b175a283bc85a3 (patch)
treeaee75702d7eec41762159754051d4ca89ab2e0bd /ham
parent4259b6fb383161be55208e7c4aab65cf096e3f5e (diff)
downloadslackbuilds-466d3d7b6c66b11109753a57d0b175a283bc85a3.tar.gz
slackbuilds-466d3d7b6c66b11109753a57d0b175a283bc85a3.tar.xz
ham/fldigi: Updated for version 3.21.49.
This commit also moves it from Network/ to Ham/ Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/fldigi/README10
-rw-r--r--ham/fldigi/fldigi.SlackBuild97
-rw-r--r--ham/fldigi/fldigi.info10
-rw-r--r--ham/fldigi/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/ham/fldigi/README b/ham/fldigi/README
new file mode 100644
index 0000000000..3a3b6817e4
--- /dev/null
+++ b/ham/fldigi/README
@@ -0,0 +1,10 @@
+Fldigi is a "digital modem" program for Linux, FreeBSD, and Windows.
+This software allows amateur radio enthusiasts to communicate using a
+number of digital protocols, including but not limited to PSK,
+Hellschreiber, Olivia, Morse Code, and many more. Receiving signals is
+as simple as plugging an audio cable into your line in or microphone
+port on your sound card, and transmitting can be accomplished using one
+of any number of prebuilt or homebrew interfaces which can found on the
+internet.
+
+This requires fltk and portaudio.
diff --git a/ham/fldigi/fldigi.SlackBuild b/ham/fldigi/fldigi.SlackBuild
new file mode 100644
index 0000000000..2d6c249029
--- /dev/null
+++ b/ham/fldigi/fldigi.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+# Slackbuild for fldigi
+# Written by JK Wood joshuakwood@gmail.com
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+PRGNAM=fldigi
+VERSION=${VERSION:-3.21.49}
+BUILD=${BUILD:-1}
+TAG=${TAG:_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --without-asciidoc
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* INSTALL NEWS README* doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/fldigi/fldigi.info b/ham/fldigi/fldigi.info
new file mode 100644
index 0000000000..029aa3833f
--- /dev/null
+++ b/ham/fldigi/fldigi.info
@@ -0,0 +1,10 @@
+PRGNAM="fldigi"
+VERSION="3.21.49"
+HOMEPAGE="http://www.w1hkj.com/Fldigi.html"
+DOWNLOAD="http://www.w1hkj.com/downloads/fldigi/fldigi-3.21.49.tar.gz"
+MD5SUM="55b4a20173390d9fdfef52e8c975aa89"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
+APPROVED="rworkman"
diff --git a/ham/fldigi/slack-desc b/ham/fldigi/slack-desc
new file mode 100644
index 0000000000..7b04d69384
--- /dev/null
+++ b/ham/fldigi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fldigi: fldigi (multimode communications program for X)
+fldigi:
+fldigi: fldigi is a multimode digital communications program for the X
+fldigi: Windows system. It uses the Fast and Light GUI Toolkit.
+fldigi:
+fldigi:
+fldigi:
+fldigi:
+fldigi:
+fldigi:
+fldigi: